﻿using System;
using System.Windows.Media;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx.Plugins;
using Styx.WoWInternals.WoWObjects;
using Styx;
using Styx.Common;
using Styx.WoWInternals;

namespace TankTarget
{
    public class TankTarget : HBPlugin
    {
        private static LocalPlayer Me = StyxWoW.Me;


        public override string Name { get { return "TankTarget"; } }
        public string ShortName { get { return "TT"; } }
        public override Version Version { get { return new Version(0, 0, 1); } }
        public override string Author { get { return "ranomstraw"; } }
        public override string ButtonText { get { return "its magic"; } }
        public override bool WantButton { get { return false; } }
        public override void Initialize()
        {
            Logging.Write(Colors.Lime, "+ " + Name + ", " + Version);
        }

        public override void Pulse()
        {
            try
            {
                WoWUnit Tank = Me.FocusedUnit;

                if (Tank == null)
                {
                    Logging.Write(Colors.Crimson, "error - tank not found - set focus");
                }
                else
                {
                    if (Me.CurrentTarget == Tank.CurrentTarget)
                        Logging.Write(Colors.Lime, "same target, all ok");
                    else
                    {
                        Tank.CurrentTarget.Target();
                        Logging.Write(Colors.Yellow, "new target: " + Tank.CurrentTarget.Name);
                    }
                }
            }
            catch (Exception e)
            {
                Logging.Write(Colors.Red, "EXCEPTION: " + e.ToString());
            }
        }
    }
}
